# MongoDB\Driver\WriteConcern::getW

(mongodb >=1.0.0)

MongoDB\Driver\WriteConcern::getW — Returns the WriteConcern's "w" option

### Description

final public MongoDB\Driver\WriteConcern::getW ( void ) : string|integer|null

### Parameters

This function has no parameters.

### Return Values

Returns the WriteConcern's "w" option.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\WriteConcern::getW() example

`<?php
$wc = new MongoDB\Driver\WriteConcern(1);
var_dump($wc->getW());
$wc = new MongoDB\Driver\WriteConcern(MongoDB\Driver\WriteConcern::MAJORITY);
var_dump($wc->getW());
?>`

The above example will output:

    int(1)
    string(8) "majority"

### See Also

- » Write Concern reference